<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

$sortId = 3;
$toolId = \ToolsAPI::TOOL_KURSUEBERSICHT_VA;

$settingsArray = array();
$objsettings = ToolSettingsAPI::getToolSettings(\ToolsAPI::TOOL_KURSUEBERSICHT_VA);

$setting = new Setting();
$setting->name = 'tnstatus';
$setting->description = 'Einschränkung der Teilnehmer auf  Belegungsstatus';
$setting->help = 'Wenn kein Status angegeben ist, werden alle Teilnehmer ohne Berücksichtigung ihrer Status angezeigt.';
$setting->subGroup = 'Darstellung der Teilnehmer';
$setting->toolId = $toolId;
$setting->config->separator = '';
$setting->config->loadConfiguration(SC_MULTISELECT);
$dbhlstatKZ = new DBWorkHLStatusKZ();
$hlstatAry = $dbhlstatKZ->getAll();

foreach ($hlstatAry as $hlstat) {
  if ($hlstat->kennz != '') {
    $setting->config->items[$hlstat->kennz] = 'Status <b>' . \CleanOperations::cleanStringForHtml($hlstat->text) . ' (' . \CleanOperations::cleanStringForHtml($hlstat->kennz) . ')</b>';
  }
}
array_push($settingsArray, $setting);

if (!empty($objsettings->tnstatus)) {
  $setting = new Setting();
  $setting->name = 'colortnstatus';
  $setting->description = 'Farben für den jeweiligen Status';
  $setting->help = 'Bitte verwenden Sie für eine Farbangabe folgendes Format: #F1G4C0 oder den Farbnamen';
  $setting->subGroup = 'Darstellung der Teilnehmer';
  $setting->toolId = $toolId;
  $status = $objsettings->tnstatus;
  $setting->config->status = $objsettings->tnstatus;
  $setting->config->kennzeichen = 'tn';
  $setting->config->loadConfiguration(SC_TABLE);
  array_push($settingsArray, $setting);
}

$setting = new Setting();
$setting->name = 'sorttnasc';
$setting->description = 'Sortierung der Teilnehmer - nach Name';
$setting->subGroup = 'Darstellung der Teilnehmer';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
  'nameauf' => 'aufsteigend',
  'nameab' => 'absteigend'
);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'sorttnasc';
$setting->description = 'Sortierung der Teilnehmer - nach Anmeldedatum';
$setting->subGroup = 'Darstellung der Teilnehmer';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
  'anmeldedatumauf' => 'aufsteigend',
  'anmeldedatumab' => 'absteigend'
);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'sorttnasc';
$setting->description = 'Sortierung der Teilnehmer - nach Anmeldereihenfolge';
$setting->help = 'Das Anmeldedatum kann sich bei Statusänderungen ändern. Die Anmeldereihenfolge entspricht, wann die Belegung zum Kurs erstellt wurde und bleibt gleich.';
$setting->subGroup = 'Darstellung der Teilnehmer';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
  'idauf' => 'aufsteigend',
  'idab' => 'absteigend'
);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'sorttnasc';
$setting->description = 'Sortierung der Teilnehmer - nach Firmennamen';
$setting->help = 'Sortiert die Teilnehmer nach den Namen der eingetragenen Firmen.';
$setting->subGroup = 'Darstellung der Teilnehmer';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
  'firmennameauf' => 'aufsteigend',
  'firmennameab' => 'absteigend'
);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'meldeBenachrichtigungsMailAnVerwMa';
$setting->description = 'Nachricht an den verwaltenden Mitarbeiter des Kurses versenden';
$setting->help = 'Wenn der Haken nicht gesetzt ist, erfolgt der Versand an die E-Mail Adresse der Schulungseinrichtung.';
$setting->subGroup = 'Einstellungen für das Ummelden bzw. Weitermelden';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'meldeImmerBenachrichtigungsMail';
$setting->description = 'Beim Weitermelden bzw. automatischen Ummelden immer eine Nachricht versenden';
$setting->help = 'Ansonsten wird im Direkt- oder DMZ-Betrieb beim Weitermelden bzw. beim erfolgreichen '
                 . 'Ummelden (d.h. automatischen Ummelden) keine Benachrichtigung versendet.';
$setting->subGroup = 'Einstellungen für das Ummelden bzw. Weitermelden';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);


$setting = new Setting();
$setting->name = 'weitermeldenKursAuswaehlen';
$setting->description = 'Beim Weitermelden kann der Zielkurs frei gewählt werden';
$setting->help = 'Falls nicht gesetzt, wird der Weitermelde-Button nur angeboten, wenn zum Kurs ein Folgekurs eingetragen ist.'
                 . ' Die Weitermeldung erfolgt dann immer zum Folgekurs.';
$setting->subGroup = 'Einstellungen für das Ummelden bzw. Weitermelden';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'weitermeldenSendInfoMail';
$setting->description = 'Beim Weitermelden eine Bestätigungs-E-Mail an Teilnehmer versenden (Vorlage sicht-6-145.sgt)';
$setting->subGroup = 'Einstellungen für das Ummelden bzw. Weitermelden';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'vhsEmailTool8Section242';
$setting->description = 'Ziel-E-Mail-Adresse für Um-/Weitermelden und Stornierungen sowie Statusänderungen von Belegungen';
$setting->help = 'Ist das Feld leer, wird die Nachricht an die E-Mail-Adresse gesendet, die unter <a href="?action=settings&hardlink=file_system_schulungseinrichtung">Einstellungen / System / Daten der Einrichtung / Ziel für E-Mails aus den KuferTools an die Schulungseinrichtung</a> angegeben ist.';
$setting->subGroup = 'Einstellungen für das Ummelden bzw. Weitermelden';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_TEXTNORMAL);
$setting->config->size = 20;
$setting->config->maxLength = 20;
$setting->config->allowNegative = false;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'sendMail2Ma';
$setting->description = 'Kopie von E-Mails an die Teilnehmer auch an den Veranstalter versenden';
$setting->help = 'Beim Versenden von Sammel E-Mails an die Teilnehmer wird damit zusätzlich eine Nachricht an die E-Mail Adresse des Veranstalters gesendet. <strong>Achtung:</strong> '
        . 'Diese Einstellung wird auch für den Dozentenreiter - im Admin unter KuferTools/ Veranstalter/ Kursplanung/ Reiter /Reiter Dozenten - übernommen.';
$setting->subGroup = 'Sammel-E-Mail';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'emailSammelKopieAnEinrichtung';
$setting->description = 'Kopie von E-Mails an die Teilnehmer auch an die Einrichtung versenden';
$setting->help = 'Beim Versenden von Sammel E-Mails an die Teilnehmer wird damit zusätzlich eine Nachricht an die E-Mail Adresse der Einrichtung gesendet.';
$setting->subGroup = 'Sammel-E-Mail';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

if (\AllgSettingsAPI::getAllgSettings()->dmzEnabled) {
  $setting = new Setting();
  $setting->name = 'storeSammelEMailToTeilnehmer';
  $setting->description = 'Kopie von E-Mails in Dokumentenverwaltung des Teilnehmers speichern';
  $setting->help = 'Beim Versenden von Sammel E-Mails an die Teilnehmer wird damit zusätzlich die Nachricht in der Dokumentenverwaltung des Teilnehmers gespeichert.';
  $setting->subGroup = 'Sammel-E-Mail';
  $setting->toolId = $toolId;
  $setting->config->loadConfiguration(SC_CHECKBOX);
  array_push($settingsArray, $setting);
}

$setting = new Setting();
$setting->name = 'sendSms2MaTabTn';
$setting->description = 'Kopie der SMS an die Teilnehmer auch an den Veranstalter versenden';
$setting->help = 'Beim Versenden einer Sammel SMS an die Teilnehmer wird damit zusätzlich eine SMS an den Veranstalter gesendet.';
$setting->subGroup = 'Sammel-SMS';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'writeNachlassGrund2IntBemerkung';
$setting->description = 'Nachlassgrund in interne Bemerkung schreiben';
$setting->help = 'Ist dieser Haken gesetzt, so wird der Nachlassgrund in die interne Bemerkung zur Belegung eingetragen. Er wird an die bisher bestehenden '
                 . 'Einträge angehängt.';
$setting->subGroup = 'Einstellungen für das Bearbeiten der Nachlassdaten';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'stornoMinTNanzahlPruefen';
$setting->description = 'Bei einer Abmeldung wird überprüft, ob die Mindestteilnehmerzahl unterschritten wird';
$setting->help = 'Diese Einstellung gilt sowohl für die Abmeldung im Teilnehmer-Reiter der Kursdetails als auch unter Übersicht der belegten Kurse in den Teilnehmerdetails.';
$setting->subGroup = 'Automatische Stornierung';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'stornoShowAustrittFeld';
$setting->description = 'Bei der Abmeldung das Eingabefeld für das Austrittsdatum anzeigen';
$setting->help = 'Das Feld Austritt wird bei Kursen mit fortlaufenden Gebühren immer angezeigt. Diese Einstellung gilt sowohl für die Abmeldung im Teilnehmer-Reiter der Kursdetails als auch unter Übersicht der belegten Kurse in den Teilnehmerdetails.';
$setting->subGroup = 'Automatische Stornierung';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->description = 'In den Veranstaltertools können die Veranstalter Teilnehmer von Kursen abmelden. Diese Funktion befindet sich sowohl im 
  Teilnehmer-Reiter der Kursdetails wie auch bei der Übersicht der belegten Kurse in den Teilnehmerdetails.<br />
Im aktuellen Reiter, dem Teilnehmer-Reiter der Kursdetails, können ein oder mehrere Teilnehmer ausgewählt werden und mit dem Button "Abmelden" zum Kurs 
storniert werden. Mit dem Klick auf "Abmelden" öffnet sich ein Dialogfenster, in dem die ausgewählten Teilnehmer aufgelistet werden und zu jedem betroffenen 
Teilnehmer ein Stornogrund angegeben werden kann. Mit Klick auf "Stornieren" werden die Abmeldungen der Teilnehmer versendet.<br />
Die Stornierung kann nur unter folgenden Bedingungen automatisch durchgeführt werden:<br />
- Direktbetrieb oder DMZ-Betrieb.<br />
- Es sprechen keine Gründe gegen eine Stornierung.<br /><br />

Im Replikatbetrieb oder wenn Gründe gegen eine Stornierung sprechen, wird eine E-Mail an die Einrichtung bzw. an den bearbeitenden Mitarbeiter des Kurses mit 
dem Stornowunsch gesendet. Folgende Gründe sprechen gegen eine automatische Stornierung:<br />
- Der Teilnehmer ist nicht mit einem der Status A, I, P, U oder W im Kurs<br />
- Es wurden bereits Rechnungen gedruckt oder Zahlungen getätigt<br />
- Der Teilnehmer ist Teil einer Mehrfach- oder Firmenanmeldung<br />
- Zum Teilnehmer sind Kinder im Kurs eingetragen<br />
- Die minimale Teilnehmeranzahl wird durch die Stornierung unterschritten<br /><br />

<b>ACHTUNG:</b> Beim Stornieren in den Veranstaltertools wird - genauso wie in KuferSQL - für die Teilnehmer auf der Warteliste kein Platz reserviert und sie 
werden auch NICHT benachrichtigt.';
$setting->help = '';
$setting->subGroup = 'Informationen zum Stornieren von Belegungen';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_INFOTEXT);
array_push($settingsArray, $setting);



$setting = new Setting();
$setting->name = 'reiterTeilnehmerButtonExportName';
$setting->description = 'Beschriftung des Buttons Export zu Tabellenkalkulationsprogramm';
$setting->subGroup = 'Button Beschriftungen';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_INPUTNORMAL);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'reiterTeilnehmerButtonBelegungenBearbeiten';
$setting->description = 'Beschriftung des Buttons Belegungen bearbeiten';
$setting->subGroup = 'Button Beschriftungen';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_INPUTNORMAL);
array_push($settingsArray, $setting);